Skip to content

Collaborations

These endpoints return posts or summaries for the collaborations between influencers and brands. These APIs can help you monitor partnerships, analyze campaign performance, track competitor activity, and power influencer discovery or reporting tools at scale.

Get collaboration posts

Request

This endpoint returns collaborated posts where influencers mention brands or vice versa.
Every successful request costs 0.2 credit.

Security
accessToken
Bodyapplication/jsonrequired
idstringrequired

User ID / Username / Profile URL, User ID is preferred. For brand collaborations, you can also use the brand ID from Brand Dictionary endpoint, in which case we will return collaborations for all accounts associated with the brand.

Example:"cristiano"
platformstringrequired
Enum:"instagram""tiktok""youtube"
Example:"instagram"
collaboratorIdstring

If provided, only returns the collaboration posts between the specified influencer and brand. You can also use the brand ID from Brand Dictionary endpoint, if you want to get collaborations between influencer X (filtered by id) and all accounts associated with the brand Y (filtered by collaboratorId).

postCreationTimestampMsobject(PostCreationTimestampMs)

Filter the posts by creation timestamp in milliseconds

Example:
{ "gte": 1716835200000 }
cursorstring

Cursor for pagination (only valid for 2 days)

Example:""
limitnumber, [ 1 .. 30 ]

Number of collaboration posts per page

Default:30
Example:10
groupBrandCollaborationsboolean

If true, brand collaborations will be grouped across all platforms. This provides insights about the brand across all its social accounts.

For example: if you request brand collaborations for @cocacola on Instagram, you will get posts sponsored by Coca Cola on all three platforms (Instagram, Tiktok and Youtube).

In some cases, this may group regional or variant accounts (e.g., @cocacola_uk, @cocacola_us) when they represent the same brand identity. Set this flag to false if social media account-specific insights are needed.

For better grouping, retrieve the brand ID from Brand Dictionary endpoint and use it instead of user ID of a specific social media account.

Default:true
POST
/collaborations/posts
curl -i -X POST \
  https://api.modash.io/v1/collaborations/posts \
  -H 'Authorization: Bearer <YOUR_token_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "cristiano",
    "platform": "instagram",
    "limit": 10
  }'

Responses

Bodyapplication/json
errorboolean

If there is an error

Example:false
cursorstring

Cursor for pagination (only valid for 2 days)

influencerobject(CollaborationsPostsInfluencer)

Only available if the requested profile has influencer collaborations

brandobject(CollaborationsPostsBrand)

Only available if the requested profile has brand collaborations

Response
{ "error": false, "cursor": "string", "influencer": { "id": "johndoe", "platform": "instagram", "is_more_available": true, "username": "username", "user_picture": "https://images.od.modash.io/c5175c827bcd7fb6e89a53729b1a2347f0c6210f", "posts": [] }, "brand": { "id": "johndoe", "platform": "instagram", "is_more_available": true, "brand_id": "string", "brand_name": "string", "brand_domain": "string", "brand_logo": "string", "brand_category": "Travel", "posts": [] } }